Subject: Re: bug#14233: 24.3; Don't constrain frame size to character multiples

From: Eli Zaretskii <[email-masked]>
Date: Wed, 24 Apr 2013 20:13:24 +0300

> Date: Wed, 24 Apr 2013 08:39:05 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked], [email-masked]
> 
>  >> In any case I'd want either an #ifdef or a simple and robust
>  >> predicate without having to care about #ifdefs.
>  >
>  > Sorry, you can't, not with the current infrastructure.  You must do it
>  > with a predicate that is also protected with an ifdef.
> 
> Then I don't see any motivation to move the platform dependent parts to
> change_frame_size.

HAVE_WINDOW_SYSTEM and FRAME_WINDOW_P are platform INdependent.  Code
they guard is almost always also platform-independent.  There are 3 or
4 platforms we currently support that provide GUI frames, and they all
are handled by these predicates.

Or maybe I don't understand what you are saying above.